> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/cameratype.md).

# CameraType

## Overview

CameraType은 씬 렌더링이나 게임플레이에 사용되는 다양한 카메라 유형을 정의하는 Enum입니다.

Camera 객체의 CameraType 속성에서 사용되며, 카메라의 동작 방식을 결정합니다.

## Items

| Name       | Value | Description                      |
| ---------- | ----- | -------------------------------- |
| Fixed      | 0     | (현재 지원하지 않습니다)                   |
| Attach     | 1     | (현재 지원하지 않습니다)                   |
| Watch      | 2     | (현재 지원하지 않습니다)                   |
| Track      | 3     | (현재 지원하지 않습니다)                   |
| Follow     | 4     | (현재 지원하지 않습니다)                   |
| Custom     | 5     | 사용자 정의 동작을 허용하는 카메라 타입입니다. (기본값) |
| Scriptable | 6     | 스크립트를 통해 제어되는 카메라입니다.            |
| Orbital    | 7     | (현재 지원하지 않습니다)                   |

## See also

{% content-ref url="/pages/H9HPgP8RYks5xhFy5bCs" %}
[Camera](/korean/development/api-reference/classes/camera.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/cameratype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
